marlen

[Решено] Не понятно что( [{не включен php на хостинге}]

Рекомендуемые сообщения

marlen    1

Доброго всем!

 

Не пойму в чем дело - устанавливала ocStore-1.5.5.1.2 раз 500 наверное, но вот такую ошибку вижу в первый раз(((

 

Появляется вместо начала установки

<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);

// HTTP
define('HTTP_SERVER', 'http://' . $_SERVER['HTTP_HOST'] . rtrim(dirname($_SERVER['SCRIPT_NAME']), '/.\\') . '/');
define('HTTP_OPENCART', 'http://' . $_SERVER['HTTP_HOST'] . rtrim(rtrim(dirname($_SERVER['SCRIPT_NAME']), 'install'), '/.\\'). '/');

// DIR
define('DIR_APPLICATION', str_replace('\'', '/', realpath(dirname(__FILE__))) . '/');
define('DIR_SYSTEM', str_replace('\'', '/', realpath(dirname(__FILE__) . '/../')) . '/system/');
define('DIR_OPENCART', str_replace('\'', '/', realpath(DIR_APPLICATION . '../')) . '/');
define('DIR_DATABASE', DIR_SYSTEM . 'database/');
define('DIR_LANGUAGE', DIR_APPLICATION . 'language/');
define('DIR_TEMPLATE', DIR_APPLICATION . 'view/template/');
define('DIR_CONFIG', DIR_SYSTEM . 'config/');


// Startup
require_once(DIR_SYSTEM . 'startup.php');
require_once(DIR_SYSTEM . 'library/ocstore.php');

// Registry
$registry = new Registry();

// Loader
$loader = new Loader($registry);
$registry->set('load', $loader);

// Url
$url = new Url(HTTP_SERVER);
$registry->set('url', $url);
// Request
$request = new Request();
$registry->set('request', $request);

// Response
$response = new Response();
$response->addHeader('Content-Type: text/html; charset=UTF-8');
$registry->set('response', $response);

// Document
$document = new Document();
$registry->set('document', $document);

// ocStore features
$registry->set('ocstore', new ocStore($registry));
// Upgrade
$upgrade = false;

if (file_exists('../config.php')) {
    if (filesize('../config.php') > 0) {
        $upgrade = true;
        
        $lines = file(DIR_OPENCART . 'config.php');
        
        foreach ($lines as $line) {
            if (strpos(strtoupper($line), 'DB_') !== false) {
                eval($line);
            }
        }
    }
}

// Front Controller
$controller = new Front($registry);

// Router
if (isset($request->get['route'])) {
    $action = new Action($request->get['route']);
} elseif ($upgrade) {
    $action = new Action('upgrade');
} else {
    $action = new Action('step_1');
}

// Dispatch
$controller->dispatch($action, new Action('not_found'));

// Output
$response->output();
?>

Что это такое а? Хостинг убогий или ...? cishost.ru хостинг

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
chukcha    1 019

Узнать у хостера, а он php поддерживает? a mysql?

 

Есть еще один путь, но сначала указанный мною

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
marlen    1

Узнать у хостера, а он php поддерживает? a mysql?

 

Есть еще один путь, но сначала указанный мною

Базу сделала без проблем , php - да, только не нашла какая версия. Написано - поддержка Джумла, Вордпресс. 

 

В поддержку написала - молчат пока

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
marlen    1

Хостинг для CMS

Системы управления сайтом предъявляют особые требования к хостингу. Они требуют большего объема памяти на процесс, различные расширения сервера, а также применяют системы кеширования данных. Выбирайте наш хостинг и у Вас не будет проблем с установкой, работой вашей CMS (Drupal, Joomla, Wordpress, MODx и другие) !

у них написано на сайте(((

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
marlen    1

php поддерживает, но не включено((((((((

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
afwollis    1 099

включай

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
marlen    1

Наладила))

 

Спасибо за помощь))) :wub:

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Гость
Эта тема закрыта для публикации ответов.

  • Похожий контент

    • От Pantelexa
      Здравствуй добрый люд.
      Нужна помощь, при установке любого модуля выдает ошибку.
      Подскажите пожалуйста
      Платформа ОКСТОР 2,1


    • От Gourman
      Здравствуйте, уважаемые продвинутые и начинающие пользователи
      OcStore
       
      В прошлом приобретал платный шаблон под OcStore 1.5.5.1.1, с которым все прекрасно работало.
      Установка проходила без проблем.
      Процесс установки обычно начинается с копирования движка в корневую директорию хостинга,
      после чего при заходе по адресу сайта загружается установщик, который по шагам производит инсталляцию.
       
      Проблема возникла сейчас при попытке установки. В шаге 2 заполняются реквизиты БД,
      в окошке тип БД MySql без вариантов. В настройках веб сервера подключено mysql и mysqli,
      но выбрать в процессе установки можно только mysql
       
      В системных требованиях на странице ocstore.com/downloads требуется "База данных (MySQLi)"
       
      В результате установка обрывается с сообщением об ошибке
       
      Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future:
      Warning: session_start(): Cannot send session cookie - headers already sent by
      Warning: session_start(): Cannot send session cache limiter - headers already sent
      Warning: Cannot modify header information - headers already sent by
       
      Все файлы, которые участвуют в ошибке проверены на UTF-8 без BOM
      в файлах конфигурации отсутствуют пробелы перед началом <?php
       
      В PHP.INI добавлен output_buffering = On
       
      Ошибка продолжает оставаться, останавливая полностью функционирование сайта
      при попытке войти в админку или оформить заказ
       
      Видимо, проблема в выборе драйвера mysql, вместо требуемого mysqli в процессе установки,
      но это единственный вариант, который предлагает установщик.
       
      Просьба, подсказать, есть ли решение подобного вопроса,
      или поделиться опытом, если кто сталкивался
       
       
      Спасибо,
       
       
       
    • От SergeyTur
      Добрый день!
      Подскажите пожалуйста как установить ocStore 2.3.0.2.3
      У меня iMac.
    • От Bookert
      Добрый вечер. С opencart сталкиваюсь впервые, вот уже 2 дня пытаюсь запустить процесс установки ocStore-2.3.0.2.3 на reg.ru, но процесс установки при переходе на домен так и не начинается..
      Что было перепробовано: 
      1. Распаковал архив в корневой директории сайта, поменял права доступа согласно инструкции для папки image, изменил название файла config.php, права прописал для config в двух папках 777. 
      2. Сменил записи для dns серверов с ns1.reg.ru на ns1.hosting.reg.ru
      3. В настройках isp manager сменил версию php сначала на 5.4, а потом и на 5.5
      4. Попытался прописать разрешение для входа в панель установки в файле hosts и .htaccess (видимо не так, как нужно).
       
      Результата в итоге ноль, ввожу в адресной строке свой сайт и вижу информацию, что домен зарегистрирован в reg.ru и т.д.
      В чем может быть дело? Заранее спасибо. 
    • От bounty
      Установил все как положено по инструкции,домен есть хостниг тоже все нормально но когда захожу на сайт пишет, страница не доступна что делать подскажите
      1) В админ панель зайти могу, а на сам сайт нет 
      2) создал htacces ввел туда php_flag display_errors on
      3) Теперь на сайте пишет Fatal error: Class 'Controllereventcompatibility' not found in /home/c/cg09891/leonhotel.ru/public_html/system/engine/action.php on line 43
      4) помогите плиз
  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу